Subject: Re: [mpls] Comments to draft-tsaad-mpls-rsvpte-bidir-lsp-fastreroute

From: "Zafar Ali (zali)" <[email-masked]>
Date: Wed, 6 Mar 2013 01:21:06 +0000

Hi Gregory-

Many thanks for your detailed review. Please see response in-line.

Thanks

Regards … Zafar and co-authors.

From: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, February 27, 2013 6:40 PM
To: "Mike Taillon (mtaillon)" <[email-masked]<mailto:[email-masked]>>, "Tarek Saad (tsaad)" <[email-masked]<mailto:[email-masked]>>, "Rakesh Gandhi (rgandhi)" <[email-masked]<mailto:[email-masked]>>, zali <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Comments to draft-tsaad-mpls-rsvpte-bidir-lsp-fastreroute

Dear Authors, et al.,
Please find my comments to this document below:

  *   As noted in the Introduction, bi-directional co-routed LSP can be signaled in context of GMPLS model. I recall that it was agreed that all work on GMPLS constructs will be conducted within CCAMP WG.

This is correct and this is why we corrected the name of the draft as draft-tsaad-ccamp-rsvpte-bidir-lsp-fastreroute-00 and submitted it for CCAMP. The MPLS WG version of the draft is suppose to expire in its due time. We will not refresh draft-tsaad-mpls-rsvpte-bidir-lsp-fastreroute.

  *   I think that scenario described in the second paragraph of the Introduction section is not correct. I believe that protection path(s) for bi-directional co-routed LSP must be bi-directional and co-routed as well. Thus I don't see it possible that there will be "asymmetry of paths" after protection switchover. IMO, protection path must have the same properties as working path, i.e. be bi-directional co-routed LSP.

The statement "protection path(s) for bi-directional co-routed LSP must be bi-directional and co-routed as well" is very restrictive. Service Providers should be able to share backups between GMPLS bi-directional as well as MPLS Unidir tunnels. Nonetheless, the draft addresses both uni-directional as well as bi-dir backup  tunnels.

  *   Asymmetry of paths may exist if working path is bi-directional associated LSP but such construct is not in scope of this document and I believe that this case fully covered by RFC 4090.

The scope of the document is GMPLS signaled (PSC) LSPs.

  *   Problem that you alledge in the third paragraph should not exist in GMPLS with use of ASSOCIATION object (RFC 6780)

Like mentioned above, the scope of the document is GMPLS signaled (PSC) LSPs.

  *   I'd point that local protection with node protection for bi-directional co-routed LSP turns into a case of segment protection with OAM being ran between PLRs and PSC (RFC 6378) coordinating switchover by exchanging messages over protection segment.

Service Providers should be able to also use (traditional) local link failure detection mechanisms for triggering FRR (node as well as link) protection. Nonetheless, the draft does not preclude use of PSC or any other failure detection mechanism.

        Regards,
                Greg